Subject: Re: [pkix] way forward for 5280

From: Alfred Hönes <[email-masked]>
Date: Tue, 17 Nov 2009 17:37:32 +0100 (MEZ)

David,

in May 2008, I had sent you a lengthy report of textual issues
I had found in RFC 5280, intended to start discussion with the
authors before submitting RFC Errata.
The message excluded all less significant editorial nits I had
found because of time constraints, and deferred to a later report
after resolution of the more significant items.

IIRC, in Dublin Russ said "that doesn't hurry"; I also got
overwhelmed with other stuff, and I have not pursued the
discussion further.

The recent postings to PKIX have reminded me of that review
and I tried to pick up the response(s) I had received for my
message from May 18, 2008 (Subject: RFC 5280) -- however, I
could not find any follow-up message(s), I apparently also
never have compiled the (deferred) "nits report", and Errata
have never been submitted this way.

Have these numerous details from my original message been
addressed in the version you announced as being posted soon?

Some of the items relating to RFC 5280 ASN.1 have been discussed
when the ASN.1 got rehashed in the PKIX new-asn1 I-D (must have
been in Jan/Feb 2009, as part of my WGLC review of that memo and
the ensuing discussion).

Also, similar/related suggestions have been discussed for, and a
few changes been applied to, the S/MIME 'bis' documents (now at
the RFC Editor).

I'm not sure whether the mailing list policy admits such long
postings, but I attach a copy of the original message for
reference and hope it will make it to the list.

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+